> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get task date types

GET https://demo.rooms.docusign.com/restapi/v2/task_date_types

Returns a list of date types that you can use with tasks, such as `Actual Close Date` and `Task Due Date`. These are the options that appear in the **Due Date** drop-down list when you create a task by using the console.

**Note:** You do not enter an `accountId` with this method.

## Permissions

Any user with a valid access token can use this method.

Reference: https://developers.docusign.com/docs/rooms-api/reference/globalresources/taskdatetypes/gettaskdatetypes

## Authentication

- `Authorization` header (required) — JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer \{token}"

## Servers

- `https://demo.rooms.docusign.com/restapi` (Demo, default)
- `https://rooms.docusign.com/restapi` (Production)

## Response

### 200

Request was successful.

- `taskDateTypes` (list of TaskDateType, optional) — A list of task date types.

## Errors

### 400 Bad Request Error

Bad request. See ErrorCode and Message for details

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.
- `referenceId` (string, optional)

### 401 Unauthorized Error

Not authorized to make this request.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.
- `referenceId` (string, optional)

## Types

### TaskDateType

Contains information about a task date type.

- `taskDateTypeId` (string, optional) — The ID of the task date type. Example: `tdd` (for `Task Due Date`)
- `name` (string, optional) — The name of the task date type. Possible values are: - `Specific Calendar Date` - `Task Due Date` - `Actual Close Date` - `Binding Date` - `Contingency Removal Date` - `Contract Date` - `Expected Closing Date` - `Listing Date` - `Listing Expiration Date` - `Offer Date`

## Examples

**Response**

```json
{
  "taskDateTypes": [
    {
      "taskDateTypeId": "string",
      "name": "string"
    }
  ]
}
```